using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Domain
{
    public class SysOauth2
    {
        /// <summary>
        /// ID
        /// </summary>
        public virtual int ID
        {
            get;
            set;
        }
        /// <summary>
        /// 代码
        /// </summary>
        public virtual string Code
        {
            get;
            set;
        }
        /// <summary>
        /// url
        /// </summary>
        public virtual string RedirectUri
        {
            get;
            set;
        }
        /// <summary>
        /// AccessToken
        /// </summary>
        public virtual string AccessToken
        {
            get;
            set;
        }
        /// <summary>
        /// ExpiresIn
        /// </summary>
        public virtual int ExpiresIn
        {
            get;
            set;
        }
        /// <summary>
        /// RefreshToken
        /// </summary>
        public virtual string RefreshToken
        {
            get;
            set;
        }
        /// <summary>
        /// 创建时间
        /// </summary>
        public virtual DateTime CreatedDate
        {
            get;
            set;
        }
        /// <summary>
        /// 登录账号
        /// </summary>
        public virtual string Account
        {
            get;
            set;
        }
    }
}
